btb-class |

# PriorityQueue(TItem) Members

PriorityQueue(TItem) overview

#### Public Instance Constructors

PriorityQueue(TItem) | Overloaded. Initializes a new instance of the PriorityQueue(TItem) class.

#### Public Instance Properties

Count | get number of items within queue
HeadValue | get item with highest priority
TailValue | get item with lowest priority

#### Public Instance Methods

AsReadOnly | Get read-only collection representing this priority queue.
Clear | Clear items from the collection.
Dequeue | Dequeue item from the collection.
Enqueue | Enqueue item in the collection.
EqualsContent |
GetEnumerator | Returns an enumerator that iterates through the collection.
ToArray | Convert this collection to array.

#### See Also

PriorityQueue<TItem> Class | ComponentOwl.BetterThumbnailBrowser.Collections Namespace